from time import sleep

from e_drone.drone import *
from e_drone.protocol import *


def eventMotion(motion):
    print("eventMotion()")
    print("- Accel: {0:5}, {1:5}, {2:5}".format(motion.accelX, motion.accelY, motion.accelZ))
    print("-  Gyro: {0:5}, {1:5}, {2:5}".format(motion.gyroRoll, motion.gyroPitch, motion.gyroYaw))
    print("- Angle: {0:5}, {1:5}, {2:5}".format(motion.angleRoll, motion.anglePitch, motion.angleYaw))


if __name__ == '__main__':

    drone = Drone()
    drone.open("COM1") # Serial port input to use

    
    # Register : event handling function
    drone.setEventHandler(DataType.Motion, eventMotion)
    
    while True:

        # Motion Request Information
        drone.sendRequest(DeviceType.Drone, DataType.Motion)
        sleep(1)

    drone.close()
