from time import sleep

from e_drone.drone import *
from e_drone.protocol import *


def eventTrim(trim):
    print("eventTrim()")
    print("- Trim Roll: \t\t{0:.3f}".format(trim.roll))
    print("- Trim Pitch: \t\t{0:.3f}".format(trim.pitch))
    print("- Trim Yaw: \t\t{0:.3f}".format(trim.yaw))
    print("- Trim Throttle: \t{0:.3f}".format(trim.throttle))

if __name__ == '__main__':

    drone = Drone()
    drone.open("COM1") # Serial port input to use

    
    # Set trim value
    roll        = 0  # +Right , Left-
    pitch       = 0  # +Forward , Backward-

    drone.sendTrim(roll, pitch, 0, 0)

    
    # Register : event handling function
    drone.setEventHandler(DataType.Trim, eventTrim)
    
    while True:

        # Altitude Request Information
        drone.sendRequest(DeviceType.Drone, DataType.Trim)
        sleep(1)

    drone.close()
